clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
llvm::yaml::NOptionMap Struct Reference
Collaboration diagram for llvm::yaml::NOptionMap:
[legend]

## Public Member Functions
| NOptionMap (IO &)
| NOptionMap (IO &, const ClangTidyOptions::OptionMap &OptionMap)
ClangTidyOptions::OptionMap | denormalize (IO &)

## Public Attributes
std::vector < ClangTidyOptions::StringPair > | Options

## Detailed Description

Definition at line 70 of file ClangTidyOptions.cpp.

## Constructor & Destructor Documentation

llvm::yaml::NOptionMap::NOptionMap | ( | IO & |  | ) |
| inline

Definition at line 71 of file ClangTidyOptions.cpp.

llvm::yaml::NOptionMap::NOptionMap | ( | IO & | ,
|  | const ClangTidyOptions::OptionMap & | OptionMap
| ) |  |
| inline

Definition at line 72 of file ClangTidyOptions.cpp.

## Member Function Documentation

ClangTidyOptions::OptionMap llvm::yaml::NOptionMap::denormalize | ( | IO & |  | ) |
| inline

Definition at line 74 of file ClangTidyOptions.cpp.

## Member Data Documentation

std::vector<ClangTidyOptions::StringPair> llvm::yaml::NOptionMap::Options

Definition at line 80 of file ClangTidyOptions.cpp.

The documentation for this struct was generated from the following file:

- ClangTidyOptions.cpp